import App
import Foundation
import LoadQBautostart

mode = Foundation.MutatorDef("QBautostart Extension V0.6")


class EngineeringExtensionTrigger_init(Foundation.TriggerDef):
        def __init__(self, name, eventKey, dict = {}):
                Foundation.TriggerDef.__init__(self, name, eventKey, dict)
                LoadQBautostart.EngineeringInit = 0

        def __call__(self, pObject, pEvent, dict = {}):
                LoadQBautostart.ImportQBautostart()
                LoadQBautostart.EngineeringInit = 1
        def Deactivate(self):
                LoadQBautostart.EngineeringInit = 0


class EngineeringExtensionTrigger_Restart(Foundation.TriggerDef):
        def __init__(self, name, eventKey, dict = {}):
                Foundation.TriggerDef.__init__(self, name, eventKey, dict)

        def __call__(self, pObject, pEvent, dict = {}):
                if LoadQBautostart.EngineeringInit:
                        LoadQBautostart.ImportQBautostart(1) # Restart


EngineeringExtensionTrigger_init('Engineering Extension Trigger init', App.ET_MISSION_START, dict = { 'modes': [ mode ] } )
EngineeringExtensionTrigger_Restart('Engineering Extension Trigger Restart', App.ET_SET_PLAYER, dict = { 'modes': [ mode ] } )
